scala.tools.nsc

# reporters

#### package reporters

Content Hierarchy Learn more about scaladoc diagrams
Visibility

1. Public
2. All

### Type Members

1. #### abstract class AbstractReporter extends Reporter

   This reporter implements filtering.

2. #### class ConsoleReporter extends AbstractReporter

   This class implements a Reporter that displays messages on a text console.

3. #### abstract class Reporter extends reflect.internal.Reporter

   Report information, warnings and errors.

   Report information, warnings and errors.

   This describes the internal interface for issuing information, warnings and errors. The only abstract method in this class must be info0.

   TODO: Move external clients (sbt/ide/partest) to reflect.internal.Reporter, and remove this class.

4. #### class StoreReporter extends Reporter

   This class implements a Reporter that stores its reports in the set `infos`.

### Ungrouped